JSON for Modern C++ 3.8.0

Public Types | Public Member Functions | List of all members
nlohmann::json_sax< BasicJsonType > Struct Template Referenceabstract

SAX interface. More...

`#include <json.hpp>`

## Public Types
using | binary_t = typename BasicJsonType::binary_t
using | number_float_t = typename BasicJsonType::number_float_t
using | number_integer_t = typename BasicJsonType::number_integer_t
using | number_unsigned_t = typename BasicJsonType::number_unsigned_t
using | string_t = typename BasicJsonType::string_t

## Public Member Functions
virtual | ~json_sax ()=default
virtual bool | binary (binary_t &val)=0
| a binary string was read More...
virtual bool | boolean (bool val)=0
| a boolean value was read More...
virtual bool | end_array ()=0
| the end of an array was read More...
virtual bool | end_object ()=0
| the end of an object was read More...
virtual bool | key (string_t &val)=0
| an object key was read More...
virtual bool | null ()=0
| a null value was read More...
virtual bool | number_float (number_float_t val, const string_t &s)=0
| an floating-point number was read More...
virtual bool | number_integer (number_integer_t val)=0
| an integer number was read More...
virtual bool | number_unsigned (number_unsigned_t val)=0
| an unsigned integer number was read More...
virtual bool | parse_error (std::size_t position, const std::string &last_token, const detail::exception &ex)=0
| a parse error occurred More...
virtual bool | start_array (std::size_t elements)=0
| the beginning of an array was read More...
virtual bool | start_object (std::size_t elements)=0
| the beginning of an object was read More...
virtual bool | string (string_t &val)=0
| a string was read More...

## Detailed Description

### template<typename BasicJsonType>
struct nlohmann::json_sax< BasicJsonType >

This class describes the SAX interface used by nlohmann::json::sax_parse. Each function is called in different situations while the input is parsed. The boolean return value informs the parser whether to continue processing the input.

Definition at line 5202 of file json.hpp.